export declare type ResultCallback<T> = (error?: Error, result?: T) => void;
export declare type ErrorCallback = (error?: Error) => void;
export declare type MultiErrorCallback = (error?: Array<Error>) => void;
export declare type RowResult = {
    key: string;
    value?: string;
};
export declare class AsyncStorage {
    static getItem(key: string, callback?: ResultCallback<string>): Promise<string>;
    static setItem(key: string, value: string, callback?: ErrorCallback): Promise<void>;
    static removeItem(key: string, callback?: ErrorCallback): Promise<void>;
    static mergeItem(key: string, value: string, callback?: ErrorCallback): Promise<void>;
    static clear(callback?: ErrorCallback): Promise<void>;
    static getAllKeys(callback?: ResultCallback<Array<string>>): Promise<Array<string>>;
    static multiGet(keys: Array<string>, callback?: ResultCallback<Array<Array<string>>>): Promise<Array<Array<string>>>;
    static multiSet(keyValuePairs: Array<Array<string>>, callback?: MultiErrorCallback): Promise<void>;
    static multiRemove(keys: Array<string>, callback?: MultiErrorCallback): Promise<void>;
    static multiMerge(keyValuePairs: Array<Array<string>>, callback?: MultiErrorCallback): Promise<void>;
}
export default AsyncStorage;
