"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  AttenuationModelInverse: true,
  AttenuationModelLinear: true,
  AudioCategory: true,
  AudioEngine: true,
  AudioListener: true,
  AudioSample: true,
  PlayVariation: true,
  Sound: true,
  SoundInstance: true
};
exports.default = exports.SoundInstance = exports.Sound = exports.PlayVariation = exports.AudioSample = exports.AudioListener = exports.AudioEngine = exports.AudioCategory = exports.AttenuationModelLinear = exports.AttenuationModelInverse = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import QtAudioEngine 1.1; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var AttenuationModelInverse = Module.AttenuationModelInverse,
    AttenuationModelLinear = Module.AttenuationModelLinear,
    AudioCategory = Module.AudioCategory,
    AudioEngine = Module.AudioEngine,
    AudioListener = Module.AudioListener,
    AudioSample = Module.AudioSample,
    PlayVariation = Module.PlayVariation,
    Sound = Module.Sound,
    SoundInstance = Module.SoundInstance;
exports.SoundInstance = SoundInstance;
exports.Sound = Sound;
exports.PlayVariation = PlayVariation;
exports.AudioSample = AudioSample;
exports.AudioListener = AudioListener;
exports.AudioEngine = AudioEngine;
exports.AudioCategory = AudioCategory;
exports.AttenuationModelLinear = AttenuationModelLinear;
exports.AttenuationModelInverse = AttenuationModelInverse;
var _default = Module;
exports.default = _default;