"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  CalendarModel: true,
  AbstractDayOfWeekRow: true,
  AbstractMonthGrid: true,
  AbstractWeekNumberColumn: true
};
exports.default = exports.AbstractWeekNumberColumn = exports.AbstractMonthGrid = exports.AbstractDayOfWeekRow = exports.CalendarModel = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import Qt.labs.calendar 1.0; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var CalendarModel = Module.CalendarModel,
    AbstractDayOfWeekRow = Module.AbstractDayOfWeekRow,
    AbstractMonthGrid = Module.AbstractMonthGrid,
    AbstractWeekNumberColumn = Module.AbstractWeekNumberColumn;
exports.AbstractWeekNumberColumn = AbstractWeekNumberColumn;
exports.AbstractMonthGrid = AbstractMonthGrid;
exports.AbstractDayOfWeekRow = AbstractDayOfWeekRow;
exports.CalendarModel = CalendarModel;
var _default = Module;
exports.default = _default;