"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ColorDialog: true,
  FileDialog: true,
  FolderDialog: true,
  FontDialog: true,
  Menu: true,
  MenuBar: true,
  MenuItem: true,
  MenuItemGroup: true,
  MenuSeparator: true,
  MessageDialog: true,
  SystemTrayIcon: true
};
exports.default = exports.SystemTrayIcon = exports.MessageDialog = exports.MenuSeparator = exports.MenuItemGroup = exports.MenuItem = exports.MenuBar = exports.Menu = exports.FontDialog = exports.FolderDialog = exports.FileDialog = exports.ColorDialog = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import Qt.labs.platform 1.0; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var ColorDialog = Module.ColorDialog,
    FileDialog = Module.FileDialog,
    FolderDialog = Module.FolderDialog,
    FontDialog = Module.FontDialog,
    Menu = Module.Menu,
    MenuBar = Module.MenuBar,
    MenuItem = Module.MenuItem,
    MenuItemGroup = Module.MenuItemGroup,
    MenuSeparator = Module.MenuSeparator,
    MessageDialog = Module.MessageDialog,
    SystemTrayIcon = Module.SystemTrayIcon;
exports.SystemTrayIcon = SystemTrayIcon;
exports.MessageDialog = MessageDialog;
exports.MenuSeparator = MenuSeparator;
exports.MenuItemGroup = MenuItemGroup;
exports.MenuItem = MenuItem;
exports.MenuBar = MenuBar;
exports.Menu = Menu;
exports.FontDialog = FontDialog;
exports.FolderDialog = FolderDialog;
exports.FileDialog = FileDialog;
exports.ColorDialog = ColorDialog;
var _default = Module;
exports.default = _default;