"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  MediaPlayer: true,
  Camera: true,
  Playlist: true,
  PlaylistItem: true,
  Radio: true,
  RadioData: true,
  Torch: true,
  VideoOutput: true,
  SoundEffect: true
};
exports.default = exports.SoundEffect = exports.VideoOutput = exports.Torch = exports.RadioData = exports.Radio = exports.PlaylistItem = exports.Playlist = exports.Camera = exports.MediaPlayer = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import QtMultimedia 5.9; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var MediaPlayer = Module.MediaPlayer,
    Camera = Module.Camera,
    Playlist = Module.Playlist,
    PlaylistItem = Module.PlaylistItem,
    Radio = Module.Radio,
    RadioData = Module.RadioData,
    Torch = Module.Torch,
    VideoOutput = Module.VideoOutput,
    SoundEffect = Module.SoundEffect;
exports.SoundEffect = SoundEffect;
exports.VideoOutput = VideoOutput;
exports.Torch = Torch;
exports.RadioData = RadioData;
exports.Radio = Radio;
exports.PlaylistItem = PlaylistItem;
exports.Playlist = Playlist;
exports.Camera = Camera;
exports.MediaPlayer = MediaPlayer;
var _default = Module;
exports.default = _default;