declare type Signal<T> = {
    connect: (handler: T) => void;
    disconnect: (handler: T) => void;
};
export declare type QObject = {
    objectName: string | undefined;
    toString(): void;
    destroy(): void;
    destroy(delay: number | undefined): void;
    objectNameChanged: Signal<Function>;
};
export declare type QQmlBind = {
    target: QObject | null;
    property: string | undefined;
    value: any;
    when: boolean | undefined;
    delayed: boolean | undefined;
} & QObject;
export declare enum QQmlComponent_CompilationMode {
    PreferSynchronous = 0,
    Asynchronous = 1
}
export declare enum QQmlComponent_Status {
    Null = 0,
    Ready = 1,
    Loading = 2,
    Error = 3
}
export declare type QQmlComponent = {
    readonly progress: number;
    readonly status: QQmlComponent_Status | string;
    readonly url: string;
    loadUrl(url: string | undefined): void;
    loadUrl(url: string | undefined, mode: QQmlComponent_CompilationMode | string): void;
    setData(param0: any, baseUrl: string | undefined): void;
    errorString(): string | undefined;
    statusChanged: Signal<Function>;
    progressChanged: Signal<Function>;
} & QObject;
export declare type QQmlComponentAttached = {
    completed: Signal<Function>;
    destruction: Signal<Function>;
} & QObject;
export declare type QQmlConnections = {
    target: QObject | null;
    enabled: boolean | undefined;
    ignoreUnknownSignals: boolean | undefined;
    enabledChanged: Signal<Function>;
} & QObject;
export declare type QQmlInstanceModel = {
    readonly count: number;
    modelUpdated: Signal<Function>;
    createdItem: Signal<Function>;
    initItem: Signal<Function>;
    destroyingItem: Signal<Function>;
} & QObject;
export declare type QQmlInstantiator = {
    active: boolean | undefined;
    asynchronous: boolean | undefined;
    model: any;
    readonly count: number;
    delegate: QQmlComponent | null;
    readonly object: QObject;
    objectAt(index: number | undefined): any;
    objectAdded: Signal<Function>;
    objectRemoved: Signal<Function>;
} & QObject;
export declare enum QQmlLocale_MeasurementSystem {
    MetricSystem = 0,
    ImperialSystem = 1,
    ImperialUSSystem = 1,
    ImperialUKSystem = 2
}
export declare enum QQmlLocale_FormatType {
    LongFormat = 0,
    ShortFormat = 1,
    NarrowFormat = 2
}
export declare enum QQmlLocale_CurrencySymbolFormat {
    CurrencyIsoCode = 0,
    CurrencySymbol = 1,
    CurrencyDisplayName = 2
}
export declare enum QQmlLocale_DayOfWeek {
    Sunday = 0,
    Monday = 1,
    Tuesday = 2,
    Wednesday = 3,
    Thursday = 4,
    Friday = 5,
    Saturday = 6
}
export declare type QQmlLocale = {};
export declare type QQmlLoggingCategory = {
    name: string | undefined;
} & QObject;
export declare type QQmlTimer = {
    interval: number | undefined;
    running: boolean | undefined;
    repeat: boolean | undefined;
    triggeredOnStart: boolean | undefined;
    readonly parent: QObject;
    start(): void;
    stop(): void;
    restart(): void;
    triggered: Signal<Function>;
} & QObject;
export declare type QQuickMouseEvent = {
    readonly x: number;
    readonly y: number;
    readonly button: number;
    readonly buttons: number;
    readonly modifiers: number;
    readonly source: number;
    readonly wasHeld: boolean;
    readonly isClick: boolean;
    accepted: boolean | undefined;
} & QObject;
export {};
