"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ItemSelectionModel: true,
  DelegateModel: true,
  DelegateModelGroup: true,
  ListElement: true,
  ListModel: true,
  ObjectModel: true
};
exports.default = exports.ObjectModel = exports.ListModel = exports.ListElement = exports.DelegateModelGroup = exports.DelegateModel = exports.ItemSelectionModel = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import QtQml.Models 2.3; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var ItemSelectionModel = Module.ItemSelectionModel,
    DelegateModel = Module.DelegateModel,
    DelegateModelGroup = Module.DelegateModelGroup,
    ListElement = Module.ListElement,
    ListModel = Module.ListModel,
    ObjectModel = Module.ObjectModel;
exports.ObjectModel = ObjectModel;
exports.ListModel = ListModel;
exports.ListElement = ListElement;
exports.DelegateModelGroup = DelegateModelGroup;
exports.DelegateModel = DelegateModel;
exports.ItemSelectionModel = ItemSelectionModel;
var _default = Module;
exports.default = _default;