"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  CheckLabel: true,
  ColorImage: true,
  BusyIndicatorImpl: true,
  DialImpl: true,
  ProgressBarImpl: true,
  IconImage: true,
  IconLabel: true,
  MnemonicLabel: true,
  PaddedRectangle: true,
  PlaceholderText: true,
  TumblerView: true,
  AbstractButton: true,
  Action: true,
  ActionGroup: true,
  ApplicationWindow: true,
  BusyIndicator: true,
  Button: true,
  ButtonGroup: true,
  CheckBox: true,
  CheckDelegate: true,
  ComboBox: true,
  Container: true,
  Control: true,
  DelayButton: true,
  Dial: true,
  Dialog: true,
  DialogButtonBox: true,
  Drawer: true,
  Frame: true,
  GroupBox: true,
  ItemDelegate: true,
  Label: true,
  Menu: true,
  MenuBar: true,
  MenuBarItem: true,
  MenuItem: true,
  MenuSeparator: true,
  Page: true,
  PageIndicator: true,
  Pane: true,
  Popup: true,
  ProgressBar: true,
  RadioButton: true,
  RadioDelegate: true,
  RangeSlider: true,
  RoundButton: true,
  ScrollBar: true,
  ScrollIndicator: true,
  ScrollView: true,
  Slider: true,
  SpinBox: true,
  StackView: true,
  SwipeDelegate: true,
  SwipeView: true,
  Switch: true,
  SwitchDelegate: true,
  TabBar: true,
  TabButton: true,
  TextArea: true,
  TextField: true,
  ToolBar: true,
  ToolButton: true,
  ToolSeparator: true,
  ToolTip: true,
  Tumbler: true
};
exports.default = exports.Tumbler = exports.ToolTip = exports.ToolSeparator = exports.ToolButton = exports.ToolBar = exports.TextField = exports.TextArea = exports.TabButton = exports.TabBar = exports.SwitchDelegate = exports.Switch = exports.SwipeView = exports.SwipeDelegate = exports.StackView = exports.SpinBox = exports.Slider = exports.ScrollView = exports.ScrollIndicator = exports.ScrollBar = exports.RoundButton = exports.RangeSlider = exports.RadioDelegate = exports.RadioButton = exports.ProgressBar = exports.Popup = exports.Pane = exports.PageIndicator = exports.Page = exports.MenuSeparator = exports.MenuItem = exports.MenuBarItem = exports.MenuBar = exports.Menu = exports.Label = exports.ItemDelegate = exports.GroupBox = exports.Frame = exports.Drawer = exports.DialogButtonBox = exports.Dialog = exports.Dial = exports.DelayButton = exports.Control = exports.Container = exports.ComboBox = exports.CheckDelegate = exports.CheckBox = exports.ButtonGroup = exports.Button = exports.BusyIndicator = exports.ApplicationWindow = exports.ActionGroup = exports.Action = exports.AbstractButton = exports.TumblerView = exports.PlaceholderText = exports.PaddedRectangle = exports.MnemonicLabel = exports.IconLabel = exports.IconImage = exports.ProgressBarImpl = exports.DialImpl = exports.BusyIndicatorImpl = exports.ColorImage = exports.CheckLabel = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import QtQuick.Controls 2.3; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var CheckLabel = Module.CheckLabel,
    ColorImage = Module.ColorImage,
    BusyIndicatorImpl = Module.BusyIndicatorImpl,
    DialImpl = Module.DialImpl,
    ProgressBarImpl = Module.ProgressBarImpl,
    IconImage = Module.IconImage,
    IconLabel = Module.IconLabel,
    MnemonicLabel = Module.MnemonicLabel,
    PaddedRectangle = Module.PaddedRectangle,
    PlaceholderText = Module.PlaceholderText,
    TumblerView = Module.TumblerView,
    AbstractButton = Module.AbstractButton,
    Action = Module.Action,
    ActionGroup = Module.ActionGroup,
    ApplicationWindow = Module.ApplicationWindow,
    BusyIndicator = Module.BusyIndicator,
    Button = Module.Button,
    ButtonGroup = Module.ButtonGroup,
    CheckBox = Module.CheckBox,
    CheckDelegate = Module.CheckDelegate,
    ComboBox = Module.ComboBox,
    Container = Module.Container,
    Control = Module.Control,
    DelayButton = Module.DelayButton,
    Dial = Module.Dial,
    Dialog = Module.Dialog,
    DialogButtonBox = Module.DialogButtonBox,
    Drawer = Module.Drawer,
    Frame = Module.Frame,
    GroupBox = Module.GroupBox,
    ItemDelegate = Module.ItemDelegate,
    Label = Module.Label,
    Menu = Module.Menu,
    MenuBar = Module.MenuBar,
    MenuBarItem = Module.MenuBarItem,
    MenuItem = Module.MenuItem,
    MenuSeparator = Module.MenuSeparator,
    Page = Module.Page,
    PageIndicator = Module.PageIndicator,
    Pane = Module.Pane,
    Popup = Module.Popup,
    ProgressBar = Module.ProgressBar,
    RadioButton = Module.RadioButton,
    RadioDelegate = Module.RadioDelegate,
    RangeSlider = Module.RangeSlider,
    RoundButton = Module.RoundButton,
    ScrollBar = Module.ScrollBar,
    ScrollIndicator = Module.ScrollIndicator,
    ScrollView = Module.ScrollView,
    Slider = Module.Slider,
    SpinBox = Module.SpinBox,
    StackView = Module.StackView,
    SwipeDelegate = Module.SwipeDelegate,
    SwipeView = Module.SwipeView,
    Switch = Module.Switch,
    SwitchDelegate = Module.SwitchDelegate,
    TabBar = Module.TabBar,
    TabButton = Module.TabButton,
    TextArea = Module.TextArea,
    TextField = Module.TextField,
    ToolBar = Module.ToolBar,
    ToolButton = Module.ToolButton,
    ToolSeparator = Module.ToolSeparator,
    ToolTip = Module.ToolTip,
    Tumbler = Module.Tumbler;
exports.Tumbler = Tumbler;
exports.ToolTip = ToolTip;
exports.ToolSeparator = ToolSeparator;
exports.ToolButton = ToolButton;
exports.ToolBar = ToolBar;
exports.TextField = TextField;
exports.TextArea = TextArea;
exports.TabButton = TabButton;
exports.TabBar = TabBar;
exports.SwitchDelegate = SwitchDelegate;
exports.Switch = Switch;
exports.SwipeView = SwipeView;
exports.SwipeDelegate = SwipeDelegate;
exports.StackView = StackView;
exports.SpinBox = SpinBox;
exports.Slider = Slider;
exports.ScrollView = ScrollView;
exports.ScrollIndicator = ScrollIndicator;
exports.ScrollBar = ScrollBar;
exports.RoundButton = RoundButton;
exports.RangeSlider = RangeSlider;
exports.RadioDelegate = RadioDelegate;
exports.RadioButton = RadioButton;
exports.ProgressBar = ProgressBar;
exports.Popup = Popup;
exports.Pane = Pane;
exports.PageIndicator = PageIndicator;
exports.Page = Page;
exports.MenuSeparator = MenuSeparator;
exports.MenuItem = MenuItem;
exports.MenuBarItem = MenuBarItem;
exports.MenuBar = MenuBar;
exports.Menu = Menu;
exports.Label = Label;
exports.ItemDelegate = ItemDelegate;
exports.GroupBox = GroupBox;
exports.Frame = Frame;
exports.Drawer = Drawer;
exports.DialogButtonBox = DialogButtonBox;
exports.Dialog = Dialog;
exports.Dial = Dial;
exports.DelayButton = DelayButton;
exports.Control = Control;
exports.Container = Container;
exports.ComboBox = ComboBox;
exports.CheckDelegate = CheckDelegate;
exports.CheckBox = CheckBox;
exports.ButtonGroup = ButtonGroup;
exports.Button = Button;
exports.BusyIndicator = BusyIndicator;
exports.ApplicationWindow = ApplicationWindow;
exports.ActionGroup = ActionGroup;
exports.Action = Action;
exports.AbstractButton = AbstractButton;
exports.TumblerView = TumblerView;
exports.PlaceholderText = PlaceholderText;
exports.PaddedRectangle = PaddedRectangle;
exports.MnemonicLabel = MnemonicLabel;
exports.IconLabel = IconLabel;
exports.IconImage = IconImage;
exports.ProgressBarImpl = ProgressBarImpl;
exports.DialImpl = DialImpl;
exports.BusyIndicatorImpl = BusyIndicatorImpl;
exports.ColorImage = ColorImage;
exports.CheckLabel = CheckLabel;
var _default = Module;
exports.default = _default;