"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Shape: true,
  ConicalGradient: true,
  LinearGradient: true,
  ShapePath: true,
  RadialGradient: true
};
exports.default = exports.RadialGradient = exports.ShapePath = exports.LinearGradient = exports.ConicalGradient = exports.Shape = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// script: generateModule, version: 0.3
var generateQml = function generateQml(type) {
  return "import QtQuick.Shapes 1.0; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];

  var _name = definition.name,
      _module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      _defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;

  var tagName = "".concat(_module, ".").concat(_name);
  Module[_name] = (0, _renderer.createRawQmlComponent)(generateQml(_name), tagName, {
    defaultProp: _defaultProperty
  });
}

var Shape = Module.Shape,
    ConicalGradient = Module.ConicalGradient,
    LinearGradient = Module.LinearGradient,
    ShapePath = Module.ShapePath,
    RadialGradient = Module.RadialGradient;
exports.RadialGradient = RadialGradient;
exports.ShapePath = ShapePath;
exports.LinearGradient = LinearGradient;
exports.ConicalGradient = ConicalGradient;
exports.Shape = Shape;
var _default = Module;
exports.default = _default;