import * as QtQml from '../QtQml/types';
import * as QtQuick from '../QtQuick/types';
declare type Signal<T> = {
    connect: (handler: T) => void;
    disconnect: (handler: T) => void;
};
export declare enum QQuickShape_RendererType {
    UnknownRenderer = 0,
    GeometryRenderer = 1,
    NvprRenderer = 2,
    SoftwareRenderer = 3
}
export declare enum QQuickShape_Status {
    Null = 0,
    Ready = 1,
    Processing = 2
}
export declare type QQuickShape = {
    readonly rendererType: QQuickShape_RendererType | string;
    asynchronous: boolean | undefined;
    vendorExtensionsEnabled: boolean | undefined;
    readonly status: QQuickShape_Status | string;
    readonly data: QtQml.QObject;
    rendererChanged: Signal<Function>;
} & QtQuick.QQuickItem;
export declare type QQuickShapeConicalGradient = {
    centerX: number | undefined;
    centerY: number | undefined;
    angle: number | undefined;
} & QQuickShapeGradient;
export declare enum QQuickShapeGradient_SpreadMode {
    PadSpread = 0,
    RepeatSpread = 1,
    ReflectSpread = 2
}
export declare type QQuickShapeGradient = {
    spread: QQuickShapeGradient_SpreadMode | string;
} & QtQuick.QQuickGradient;
export declare type QQuickShapeLinearGradient = {
    x1: number | undefined;
    y1: number | undefined;
    x2: number | undefined;
    y2: number | undefined;
} & QQuickShapeGradient;
export declare enum QQuickShapePath_FillRule {
    OddEvenFill = 0,
    WindingFill = 1
}
export declare enum QQuickShapePath_JoinStyle {
    MiterJoin = 0,
    BevelJoin = 64,
    RoundJoin = 128
}
export declare enum QQuickShapePath_CapStyle {
    FlatCap = 0,
    SquareCap = 16,
    RoundCap = 32
}
export declare enum QQuickShapePath_StrokeStyle {
    SolidLine = 1,
    DashLine = 2
}
export declare type QQuickShapePath = {
    strokeColor: any;
    strokeWidth: number | undefined;
    fillColor: any;
    fillRule: QQuickShapePath_FillRule | string;
    joinStyle: QQuickShapePath_JoinStyle | string;
    miterLimit: number | undefined;
    capStyle: QQuickShapePath_CapStyle | string;
    strokeStyle: QQuickShapePath_StrokeStyle | string;
    dashOffset: number | undefined;
    dashPattern: any;
    fillGradient: QQuickShapeGradient | null;
    shapePathChanged: Signal<Function>;
} & QtQuick.QQuickPath;
export declare type QQuickShapeRadialGradient = {
    centerX: number | undefined;
    centerY: number | undefined;
    centerRadius: number | undefined;
    focalX: number | undefined;
    focalY: number | undefined;
    focalRadius: number | undefined;
} & QQuickShapeGradient;
export {};
