"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _AppRegistry = _interopRequireDefault(require("../common/AppRegistry"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var createQmlComponent = function createQmlComponent(source, name) {
  var metadata = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {
    defaultProp: 'data'
  };
  var component = Qt.createComponent(source);

  _AppRegistry.default.registerComponent(name, component, metadata);

  var RQComponent =
  /*#__PURE__*/
  function (_React$Component) {
    _inherits(RQComponent, _React$Component);

    function RQComponent() {
      var _getPrototypeOf2;

      var _this;

      _classCallCheck(this, RQComponent);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(RQComponent)).call.apply(_getPrototypeOf2, [this].concat(args)));

      _defineProperty(_assertThisInitialized(_this), "state", {
        status: component.status
      });

      _defineProperty(_assertThisInitialized(_this), "updateStatus", function () {
        _this.setState({
          status: component.status
        });
      });

      return _this;
    }

    _createClass(RQComponent, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        component.statusChanged.connect(this.updateStatus);
      }
    }, {
      key: "componentWillUnmount",
      value: function componentWillUnmount() {
        component.statusChanged.disconnect(this.updateStatus);
      }
    }, {
      key: "render",
      value: function render() {
        var status = this.state.status;

        if (status === Component.Ready) {
          var _ref = this.props,
              _forwardedRef = _ref.forwardedRef,
              rest = _objectWithoutProperties(_ref, ["forwardedRef"]);

          return _react.default.createElement(name, _objectSpread({
            ref: _forwardedRef
          }, rest));
        }

        if (status === Component.Error) {
          throw new Error(component.errorString());
        }

        return null;
      }
    }]);

    return RQComponent;
  }(_react.default.Component);

  var RefForwardingFactory = function RefForwardingFactory(props, ref) {
    return _react.default.createElement(RQComponent, _objectSpread({}, props, {
      forwardedRef: ref
    }));
  };

  return _react.default.forwardRef(RefForwardingFactory);
};

var _default = createQmlComponent;
exports.default = _default;