"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "createQmlComponent", {
  enumerable: true,
  get: function get() {
    return _createQmlComponent.default;
  }
});
Object.defineProperty(exports, "createRawQmlComponent", {
  enumerable: true,
  get: function get() {
    return _createRawQmlComponent.default;
  }
});
exports.default = exports.render = void 0;

var _reactReconciler = _interopRequireDefault(require("react-reconciler"));

var _RQHostConfig = _interopRequireDefault(require("./RQHostConfig"));

var _createQmlComponent = _interopRequireDefault(require("./createQmlComponent"));

var _createRawQmlComponent = _interopRequireDefault(require("./createRawQmlComponent"));

var _RQElementContainer = _interopRequireDefault(require("./RQElementContainer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ReactReconcilerInst = (0, _reactReconciler.default)(_RQHostConfig.default);
var root;

var noop = function noop() {};

var render = function render(element, renderDom, callback) {
  // element: This is the react element for App component
  // renderDom: This is the host root element to which the rendered app will be attached.
  // callback: if specified will be called after render is done.
  // TODO: defaultProp must be data?
  var rootElementContainer = new _RQElementContainer.default(renderDom, {
    defaultProp: 'data'
  });
  var isConcurrent = false; // disables concurrent rendering

  var hydrate = false; // not supported

  if (!root) {
    // Creates root fiber node.
    root = ReactReconcilerInst.createContainer(rootElementContainer, isConcurrent, hydrate);
  }

  ReactReconcilerInst.injectIntoDevTools({
    bundleType: 1,
    // 0 for PROD, 1 for DEV
    version: '0.1.0',
    // version for your renderer
    rendererPackageName: 'react-qml-renderer' // package name

  });
  ReactReconcilerInst.updateContainer(element, root, null, callback || noop); // Start reconcilation and render the result

  return ReactReconcilerInst.getPublicRootInstance(root);
};

exports.render = render;
var _default = {
  render: render,
  createQmlComponent: _createQmlComponent.default,
  createRawQmlComponent: _createRawQmlComponent.default
};
exports.default = _default;